﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication567
{
    class DF : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            CellUIElement cell = (CellUIElement)drawParams.Element;
            if (cell != null && cell.Cell.Column.Index != 3)
            {
                return true;
            } return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is CellUIElement)
                return Infragistics.Win.DrawPhase.BeforeDrawBorders;
            else
                return Infragistics.Win.DrawPhase.None;
        }
    }
}
